Supported Browsers

In general, we support the current and prior major releases of Chrome, Firefox, Internet Explorer and Safari. Internet Explorer v6 and Internet Explorer v7 are no longer supported and we recommend upgrading to either a later version of Internet Explorer or installing one of the browsers detailed below: